<template>
  <span class="ModalListDelete">
    
    <b-button @click="showModal" variant="danger" class='ml-2' size="sm"><font-awesome-icon icon="trash-alt" /></b-button>

    <b-modal hide-footer :id="'m-list-delete-' + list._id" :ref="'m-list-delete-' + list._id" centered title="Are you sure you want to delete this list?">

      <template>
        <div class="w-100">
          <b-button
            variant="danger"
            class="float-right ml-2"
            @click="$bvModal.hide('m-list-delete-' + list._id); deleteList();"
          >
            Yes
          </b-button>
          <b-button
            variant="success"
            class="float-right ml-2"
            @click="$bvModal.hide('m-list-delete-' + list._id)"
          >
            No
          </b-button>
        </div>
      </template>
    </b-modal>

  </span>
</template>

<script>
import axios from 'axios';

export default {
  name: 'ModalListDelete',
  props: ['list'],
  methods:{
    showModal() {
      this.$refs['m-list-delete-' + this.list._id].show()
    },
    deleteList(){

      axios.delete(`${process.env.VUE_APP_URL}/lists/${this.list._id}`)
      .then(response => {
          console.log(response.data)
          window.location.reload(false);
      })
      .catch(error => alert("error " + error))
    }
  }
}
</script>


<style scoped>
#ModalListAdd{
}
</style>
